Subject: Re: bug#23540: 25.1.50; make-ipv4-tcp-server-with-unspecified-port fails

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 23 Oct 2019 12:32:05 +0200

Ken Brown <[email-masked]> writes:

>> Presumably the documentation of open-network-stream should also be
>> updated to reflect this.  I hesitate to do this myself without knowing
>> for sure that t is an acceptable value for all calls to
>> open-network-stream.  I'd rather leave it for someone more familiar with
>> the code, like Lars.
>
> I went ahead and installed the obvious fix, to get rid of the test
> failure.  I'm leaving the bug open because someone knowledgeable still 
> needs to update the documentation of open-network-stream.

The test calls make-network-process, not open-network-stream, so
altering the documentation of the latter doesn't seem appropriate.

As for make-network-process, it's already documented there:

:service SERVICE -- SERVICE is name of the service desired, or an
integer specifying a port number to connect to.  If SERVICE is t,
a random port number is selected for the server.  A port number can
be specified as an integer string, e.g., "80", as well as an integer.

So unless I'm misreading this bug report (which is possible, it's a bit
involved) there's nothing more to do here, and I'm closing this bug
report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no